devguard
Treatment actions

Get a list of paginated treatment actions.

GET
/treatment-actions/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
sortColumn?string
sortDirection?string

Value in

  • "asc"
  • "desc"
filterByName?string
filterByArchived?string
Default"active"

Value in

  • "active"
  • "archived"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/treatment-actions/?organizationId=string"
{  "items": [    {      "id": "string",      "shortId": -9007199254740991,      "slug": "string",      "name": "string",      "description": "string",      "ownerId": "string",      "createdAt": "string",      "updatedAt": "string",      "organizationId": "string",      "archivedAt": "string",      "dueDate": "string",      "status": "UNKNOWN",      "owner": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "archivedAt": "string",        "organizationId": "string",        "users": [          "string"        ]      }    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?